<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require('conexion/conectar.php');
require('libs/funciones.php');

$conexion = new CONDB();
$conexion->conectar();


$query="select rutaxml_p,rutapdf_p,fechaRecibido,ArchivoXML,ArchivoPDF,usarRutaDistribuida,r.tipodocto,r.tipocomprobante from recibedoce r, tdoctos_r t where t.idReceptor='".$_POST['id']."' and t.tipoDocto='".$_POST['docto']."' and rfcemisor='".$_POST['rfc']."' and r.tipodocto='".$_POST['docto']."' and serie='".$_POST['serie']."' and folio='".$_POST['folio']."'and uuid='".$_POST['uuid']."'";
$rquery = mysqli_query($conexion->CONEXION,$query);

$nombreSTD="";
if(mysqli_num_rows($rquery) > 0){
	$temp = mysqli_fetch_array($rquery,MYSQLI_ASSOC);
	if($temp['usarRutaDistribuida'] == "SI"){
		$year = substr($temp['fechaRecibido'],0,4);
		$mes = substr($temp['fechaRecibido'],5,2);
		$rutaXML = $temp['rutaxml_p']."$year/$mes/".$temp['ArchivoXML'];
		$rutaPDF = $temp['rutapdf_p']."$year/$mes/".$temp['ArchivoPDF'];
		$nombreSTD=substr(trim($temp['ArchivoPDF']),0,(strlen(trim($temp['ArchivoPDF']))-4));
		$rutaSTD = $temp['rutapdf_p']."$year/$mes/".$nombreSTD."_STD.pdf";
	}else{
		$rutaXML = $temp['rutaxml_p']."$year/$mes/".$temp['ArchivoXML'];
		$rutaPDF = $temp['rutapdf_p']."$year/$mes/".$temp['ArchivoPDF'];
		$nombreSTD=substr(trim($temp['ArchivoPDF']),0,(strlen(trim($temp['ArchivoPDF']))-4));
		$rutaSTD = $temp['rutapdf_p']."$year/$mes/".$nombreSTD."_STD.pdf";
	}
	if(is_file(trim($rutaXML))){
		unlink($rutaXML);
	}
	if(is_file(trim($rutaPDF))){
		unlink($rutaPDF);
	}
	if(is_file(trim($rutaSTD))){
		unlink($rutaSTD);
	}
}

$query="delete from recibedoce where rfcemisor='".$_POST['rfc']."' and tipodocto='".$_POST['docto']."' and serie='".$_POST['serie']."' and folio='".$_POST['folio']."' and uuid='".$_POST['uuid']."'";

if($rquery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_affected_rows($conexion->CONEXION) > 0){
		setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se elimino un documento de recibedoce", $query);
	}else{
		?><script>$j_6.messager.alert("Error.","No se elimino el registro, es probable que haya sido eliminado con anterioridad.","error");</script><?exit;
	}
}else{
	?><script>$j_6.messager.alert("Error.","Ocurrio un error al eliminar el registro. Error. <?=mysqli_error($conexion->CONEXION)?>","error");</script><?exit;
}


$query="delete from detallerecibedoce where rfcemisor='".$_POST['rfc']."' and tipodocto='".$_POST['docto']."' and serie='".$_POST['serie']."' and folio='".$_POST['folio']."' and uuid='".$_POST['uuid']."'";

if($rquery = mysqli_query($conexion->CONEXION,$query)){
	if(mysqli_affected_rows($conexion->CONEXION) > 0){
		setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se elimino un detalle de un documento de recibedoce", $query);
	}else{
		setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se intento eliminar un detalle de un documento de recibedoce", $query);
	}
}


if($temp["tipodocto"] == "I CFDI 3.3" || $temp["tipodocto"] == "E CFDI 3.3"){
	$campoEliminar="";
	if($temp["tipocomprobante"] == "I"){
		$campoEliminar="uuid_padre";
	}else if($temp["tipocomprobante"] == "E"){
		$campoEliminar="uuid_hijo";
	}
	
	$query="delete from recibedoce_compensacion where $campoEliminar='".$_POST['uuid']."'";
	if($rquery = mysqli_query($conexion->CONEXION,$query)){
		if(mysqli_affected_rows($conexion->CONEXION) > 0){
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se eliminaron las compensaciones de un documento de recibedoce", $query);
		}else{
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se intento eliminar las compensaciones de un documento de recibedoce.", $query);
		}
	}
	
	
	/*$query="delete from cfdirelacionados where uuidpadre='".$_POST['uuid']."'";
	if($rquery = mysqli_query($conexion->CONEXION,$query)){
		if(mysqli_affected_rows($conexion->CONEXION) > 0){
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se eliminaron las relaciones del documento de recibedoce.", $query);
		}else{
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se intento eliminar las relaciones del documento de recibedoce.", $query);
		}
	}*/
	/*$query="delete from cfdirelacionados where uuidhijo='".$_POST['uuid']."'";
	if($rquery = mysqli_query($conexion->CONEXION,$query)){
		if(mysqli_affected_rows($conexion->CONEXION) > 0){
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se eliminaron las relaciones del documento de recibedoce.", $query);
		}else{
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se intento eliminar las relaciones del documento de recibedoce.", $query);
		}
	}*/
}else if($temp["tipodocto"] == "P CFDI 3.3"){
	$query="delete from recibedoce_pagos where recibedoce_uuid='".$_POST['uuid']."'";
	if($rquery = mysqli_query($conexion->CONEXION,$query)){
		if(mysqli_affected_rows($conexion->CONEXION) > 0){
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se eliminaron los recibos de pago del complemento", $query);
		}else{
			setBitacora($conexion, $_SESSION['usuario_p_prov_absa'], $_SESSION['rfc_cliente_p_prov_absa'], "Eliminar documento", "Se intento eliminar los recibos de pago del complemento.", $query);
		}
	}
}



if(mysqli_errno($conexion->CONEXION) != 0){
	?><script>$j_6.messager.alert("Error.","<strong>No se pudo eliminar el documento:</strong><br/><strong>RFC Emisor:</strong> <?=$_POST['rfc']?><br/><strong>Documento:</strong> <?=$_POST['docto']?><br/><strong>Serie:</strong> <?=$_POST['serie']?><br/><strong>Folio:</strong> <?=$_POST['folio']?><br/><strong>UUID:</strong> <?=$_POST['uuid']?>","error");</script><?
}else{
	?><script>$j_6.messager.alert("Aviso.","<strong>Documento eliminado:</strong><br/><strong>RFC Emisor:</strong> <?=$_POST['rfc']?><br/><strong>Documento:</strong> <?=$_POST['docto']?><br/><strong>Serie:</strong> <?=$_POST['serie']?><br/><strong>Folio:</strong> <?=$_POST['folio']?><br/><strong>UUID:</strong> <?=$_POST['uuid']?><br/><strong>Vuelva a filtrar para actualizar los registros</strong>","info");</script><?
}
?>